Bug 151417 - Editing with Draw, activating Form controls, selecting one, LO crash without code number.
Summary: Editing with Draw, activating Form controls, selecting one, LO crash without ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: Form-Controls Crash
  Show dependency treegraph
 
Reported: 2022-10-07 21:21 UTC by m.a.riosv
Modified: 2022-10-13 15:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Noel Grandin


Attachments
bt with debug symbols (11.44 KB, text/plain)
2022-10-08 11:40 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2022-10-07 21:21:13 UTC
Open a new Draw file (No issue with calc and writer).
Active Menu/View/Form controls
Click on any control.
LibreOffice crash.

Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9940a5dce79fe9dc3e6ff0302c9be8c7d1648f67
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL threaded

Last version working:
Version: 7.4.2.1 (x64) / LibreOffice Community
Build ID: 681d65acd9ede00dd724d6716f21cabfdcc95bd2
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Raster; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL
Comment 1 Hossein 2022-10-07 22:10:55 UTC
SEGFAULT with the latest LO 7.5 dev master:

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 82ad6bc4e8c081bfb547ad10d29885cbdd0e8ea1
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 2 Hossein 2022-10-07 22:13:12 UTC
Backtrace created using Qt Creator:

1  sdr::properties::TextProperties::SetStyleSheet  textproperties.cxx  260  0x7ffff279f478 
2  sdr::properties::RectangleProperties::SetStyleSheet  rectangleproperties.cxx 61  0x7ffff27974b2 
3  sdr::properties::AttributeProperties::applyDefaultStyleSheetFromSdrModel  attributeproperties.cxx 535  0x7ffff27a4f4e 
4  sdr::properties::AttributeProperties::GetObjectItemSet  attributeproperties.cxx 261  0x7ffff27a43ff 
5  SdrObject::GetObjectItemSet  svdobj.cxx  1969 0x7ffff2912ee0 
6  SdrTextObj::GetTextAniKind  svdotext.cxx  1742 0x7ffff299d188 
7  sdr::contact::ViewContactOfSdrObj::ActionChanged  viewcontactofsdrobj.cxx 104  0x7ffff271ae84 
8  SdrObject::ActionChanged  svdobj.cxx  271  0x7ffff290aba7 
9  SdrObject::SetChanged  svdobj.cxx  1001 0x7ffff290db00 
10 SdrUnoObj::CreateUnoControlModel  svdouno.cxx  386  0x7ffff29d6231 
11 SdrUnoObj::SdrUnoObj  svdouno.cxx  148  0x7ffff29d4936 
12 FmFormObj::FmFormObj  fmobj.cxx  59  0x7ffff251c2d4 
13 FmFormObjFactory::MakeObject  fmobjfac.cxx  213  0x7ffff3a6ff3f 
14 FmFormObjFactory::LinkStubMakeObject  fmobjfac.cxx  103  0x7ffff3a6fa98 
15 Link<SdrObjCreatorParams, rtl::Reference<SdrObject>>::Call  link.hxx  111  0x7ffff291f329 
16 SdrObjFactory::CreateObjectFromFactory  svdobj.cxx  3202 0x7ffff2918aa2 
17 SdrObjFactory::MakeNewObject  svdobj.cxx  3331 0x7ffff29193b5 
18 SdrCreateView::SetCurrentObj  svdcrtv.cxx  344  0x7ffff27db1b5 
19 sd::FuConstructUnoControl::Activate  fuconuno.cxx  112  0x7fffd31f3ba4 
20 sd::DrawViewShell::FuPermanent  drviewse.cxx  589  0x7fffd35c1fd6 
21 SfxStubGraphicViewShellFuPermanent  sdgslots.hxx  1541 0x7fffd35d2fa7 
22 SfxDispatcher::Call_Impl  dispatch.cxx  254  0x7ffff482ddda 
23 SfxDispatcher::PostMsgHandler  dispatch.cxx  990  0x7ffff48321f6 
24 std::__invoke_impl<void, void (SfxDispatcher:: *&)(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>), SfxDispatcher *&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>>  invoke.h  74  0x7ffff4860633 
25 std::__invoke<void (SfxDispatcher:: *&)(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>), SfxDispatcher *&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>>  invoke.h  96  0x7ffff485eee1 
26 std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>::__call<void, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>&&, 0ul, 1ul>(std::tuple<std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>&&>&&, std::_Index_tuple<0ul, 1ul>)  functional  420  0x7ffff485c87c 
27 std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>::operator()<std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>, void>(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>&&)  functional  503  0x7ffff48598ee 
28 std::__invoke_impl<void, std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>>(std::__invoke_other, std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>&&) invoke.h  61  0x7ffff4854b67 
29 std::__invoke_r<void, std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>>(std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>&&)  invoke.h  111  0x7ffff484e907 
30 std::_Function_handler<void (std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>), std::_Bind<void (SfxDispatcher:: *(SfxDispatcher *, std::_Placeholder<1>))(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>>::_M_invoke(std::_Any_data const&, std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>&&)  std_function.h  290  0x7ffff484a47f 
31 std::function<void (std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>)>::operator()(std::unique_ptr<SfxRequest, std::default_delete<SfxRequest>>) const  std_function.h  590  0x7ffff4c6defb 
32 SfxHintPoster::DoEvent_Impl  hintpost.cxx  43  0x7ffff4c6dd1a 
33 SfxHintPoster::LinkStubDoEvent_Impl  hintpost.cxx  39  0x7ffff4c6dcad 
34 Link<void *, void>::Call  link.hxx  111  0x7fffeecc9867 
35 ImplHandleUserEvent  winproc.cxx  2287 0x7fffeecc6648 
36 ImplWindowFrameProc  winproc.cxx  2857 0x7fffeecc84f6 
37 SalFrame::CallCallback  salframe.hxx  306  0x7fffef7767b6 
38 SalGenericDisplay::ProcessEvent  gendisp.cxx  66  0x7fffef79e645 
39 operator()  salusereventlist.cxx  119  0x7fffef349382 
40 SalUserEventList::DispatchUserEvents  salusereventlist.cxx  120  0x7fffef34965b 
41 SalGenericDisplay::DispatchInternalEvent  gendisp.cxx  51  0x7fffef79e5b1 
42 SalX11Display::Yield  saldisp.cxx  1896 0x7fffe4eecb09 
43 DisplayYield  saldisp.cxx  381  0x7fffe4ee44f3 
44 (anonymous namespace)::YieldEntry::HandleNextEvent  saldata.cxx  562  0x7fffe4edf0ef 
45 SalXLib::Yield  saldata.cxx  658  0x7fffe4edf983 
46 X11SalInstance::DoYield  salinst.cxx  192  0x7fffe4f02ec5 
47 ImplYield  svapp.cxx  475  0x7fffef40a874 
48 Application::Yield  svapp.cxx  559  0x7fffef40b556 
49 Application::Execute  svapp.cxx  453  0x7fffef40a514 
50 desktop::Desktop::Main  app.cxx  1604 0x7ffff7bf7e44 
51 ImplSVMain  svmain.cxx  203  0x7fffef42a257 
52 SVMain  svmain.cxx  235  0x7fffef42a380 
53 soffice_main  sofficemain.cxx  94  0x7ffff7c62323 
54 sal_main  main.c  51  0x555555554a60 
55 main  main.c  49  0x555555554a42
Comment 3 Julien Nabet 2022-10-08 11:40:29 UTC
Created attachment 182913 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I've got the same as Hossein.
Comment 4 raal 2022-10-08 20:35:01 UTC
This seems to have begun at the below commit.
Adding Cc: to Noel Grandin ; Could you possibly take a look at this one?
Thanks
 6f10bfc3f53a7d88037a32deadcc7f3be94c061e is the first bad commit
commit 6f10bfc3f53a7d88037a32deadcc7f3be94c061e
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Aug 29 14:09:10 2022 +0200

    source sha:8611f6e259b807b4f19c8dc0eab86ca648891ce3

https://git.libreoffice.org/core/+/8611f6e259b807b4f19c8dc0eab86ca648891ce3
Comment 5 Commit Notification 2022-10-09 10:10:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1a86be908952aea376d37473adbab091a5440a35

tdf#151417 crash in draw, activating Form controls

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2022-10-09 14:16:31 UTC
On pc Debian x86-64 with master sources updated today (including Noel's patch), I confirm I don't reproduce the crash anymore.
Thank you Noel!
Comment 7 m.a.riosv 2022-10-10 13:51:21 UTC
Seems it also has solved the issue with Impress.
Version: 7.5.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: a7683a16e98def4198e1f74a93fecdaacbf639e7
CPU threads: 4; OS: Windows 10.0 Build 19044; UI render: Skia/Vulkan; VCL: win
Locale: es-ES (es_ES); UI: en-US Calc: CL threaded
Comment 8 Commit Notification 2022-10-13 15:41:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ed99b776d59d6293a97e61dc5284619cc873e35b

tdf#151417: sd_uiimpress: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.